%define upstream_name  libwww-perl
%define upstream_version 6.13

%if %{_use_internal_dependency_generator}
%define __noautoreq 'perl\\(Authen::NTLM\\)|perl\\(HTTP::GHTTP\\)'
%else
%define _requires_exceptions Authen::NTLM\\|HTTP::GHTTP\\|Win32
%endif

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1
Summary:	The World-Wide Web library for Perl


License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Encode) >= 2.120.0
BuildRequires:	perl(Encode::Locale)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Listing) >= 6.0.0
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(HTML::HeadParser)
BuildRequires:	perl(HTTP::Cookies) >= 6.0.0
BuildRequires:	perl(HTTP::Daemon) >= 6.0.0
BuildRequires:	perl(HTTP::Date) >= 6.0.0
BuildRequires:	perl(HTTP::Negotiate) >= 6.0.0
BuildRequires:	perl(HTTP::Request) >= 6.0.0
BuildRequires:	perl(HTTP::Request::Common) >= 6.0.0
BuildRequires:	perl(HTTP::Response) >= 6.0.0
BuildRequires:	perl(HTTP::Status) >= 6.0.0
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(LWP::MediaTypes) >= 6.0.0
BuildRequires:	perl(MIME::Base64) >= 2.100.0
BuildRequires:	perl(Net::FTP) >= 2.580.0
BuildRequires:	perl(Net::HTTP) >= 6.0.0
BuildRequires:	perl(URI) >= 1.100.0
BuildRequires:	perl(URI::Escape)
BuildRequires:	perl(WWW::RobotRules) >= 6.0.0

BuildRequires:	perl-devel
Requires:	perl(Net::HTTP)
Requires:	perl(HTTP::Cookies)
BuildArch:	noarch

%description
The libwww-perl collection is a set of Perl modules which provides a simple and
consistent application programming interface (API) to the World-Wide Web. The
main focus of the library is to provide classes and functions that allow you to
write WWW clients. The library also contain modules that are of more general
use and even classes that help you implement simple HTTP servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/yes | perl Makefile.PL --aliases INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc README README.SSL Changes
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog

* Sun Dec 27 2015 Denis Silakov <dsilakov@gmail.com> 6.130.0-1
- (c26006d) Updated to 6.13 (by updates_builder)


